## httpie 0.9.2

=== Makefile ===
VERSION=$(shell grep __version__ httpie/__init__.py)
REQUIREMENTS="requirements-dev.txt"
TAG="\n\n\033[0;32m\#\#\# "
END=" \#\#\# \033[0m\n"

all: test

uninstall-httpie:
	@echo $(TAG)Removing existing installation of HTTPie$(END)
	- pip uninstall --yes httpie >/dev/null
	! which http
	@echo

uninstall-all: uninstall-httpie
	- pip uninstall --yes -r $(REQUIREMENTS)

init: uninstall-httpie
	@echo $(TAG)Installing dev requirements$(END)
	pip install --upgrade -r $(REQUIREMENTS)
	@echo $(TAG)Installing HTTPie$(END)
	pip install --upgrade --editable .
	@echo

test: init
	@echo $(TAG)Running tests in on current Python with coverage $(END)
	py.test --cov ./httpie --cov ./tests --doctest-modules --verbose ./httpie ./tests
	@echo

test-tox: init
	@echo $(TAG)Running tests on all Pythons via Tox$(END)
	tox
	@echo

test-dist: test-sdist test-bdist-wheel
	@echo

test-sdist: clean uninstall-httpie
	@echo $(TAG)Testing sdist build an installation$(END)
	python setup.py sdist
	pip install --force-reinstall --upgrade dist/*.gz
	which http
	@echo

test-bdist-wheel: clean uninstall-httpie
	@echo $(TAG)Testing wheel build an installation$(END)
	python setup.py bdist_wheel
	pip install --force-reinstall --upgrade dist/*.whl
	which http
	@echo

# This tests everything, even this Makefile.
test-all: uninstall-all clean init test test-tox test-dist

publish: test-all
	@echo $(TAG)Testing wheel build an installation$(END)
	@echo "$(VERSION)"
	@echo "$(VERSION)" | grep -q "dev"  && echo "!!!Not publishing dev version!!!" && exit 1
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_wheel upload
	@echo

clean:
	@echo $(TAG)Cleaning up$(END)
	rm -rf .tox *.egg dist build .coverage
	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
	@echo

## httpie 0.1.6+20120309git

=== debian/changelog ===
httpie (0.1.6+20120309git-2.1) unstable; urgency=low

  [ Evgeni Golov ]
  * Non-maintainer upload.
  * Add python-pkg-resources to Depends
    Closes: #681316
  * Add explicit Depends on python-requests (>= 0.10.4), not only
    Build-Depends.
    Closes: #663506
  * Add *.egg-info to debian/clean, to fix FTBFS twice in a row.
    Closes: #682076

  [ Scott Kitterman ]
  * Dropped unneeded revision from python-requests depends

 -- Scott Kitterman <scott@kitterman.com>  Thu, 26 Jul 2012 13:37:28 -0400

httpie (0.1.6+20120309git-2) unstable; urgency=low

  * Depends on exact version of python-requests (Closes: #663506) 

 -- Bartosz Fenski <fenio@debian.org>  Sat, 24 Mar 2012 17:43:02 +0100

httpie (0.1.6+20120309git-1) unstable; urgency=low

  * Initial release (Closes: #663184) 

 -- Bartosz Fenski <fenio@debian.org>  Fri, 09 Mar 2012 09:23:08 +0100

=== debian/control ===
Source: httpie
Section: web
Priority: extra
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
Standards-Version: 3.9.2
Homepage: http://httpie.org

Package: httpie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-requests (>= 0.10.4)
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing 
 arbitrary HTTP requests using a simple and natural syntax and 
 displaying colorized responses.

## httpie 0.3.1

=== debian/changelog ===
httpie (0.3.1-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * Includes manual page (Closes: #673067) 
    Courtesy of Khalid El Fathi <khalid@elfathi.fr>. Thanks!
  * New upstream version. (Closes: #693810)
    - handles binary transfers properly (Closes: #689974)

 -- Bartosz Fenski <fenio@debian.org>  Thu, 20 Dec 2012 14:27:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: extra
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://httpie.org
+Vcs-Git: git://github.com/jkbr/httpie.git
+Vcs-Browser: https://github.com/jkbr/httpie.git
 
 Package: httpie
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-requests (>= 0.10.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: CLI, cURL-like tool for humans
  HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
  services as human-friendly as possible.

## httpie 0.7.1

=== debian/changelog ===
httpie (0.7.1-0.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * New upstream release.
     + Work with python-requests >= 1.0. Closes: #707994.
  * Drop Vcs-* lines in debian/control. This is not the VCS for Debian
    packaging.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Nov 2013 20:36:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
 Standards-Version: 3.9.3
 Homepage: http://httpie.org
-Vcs-Git: git://github.com/jkbr/httpie.git
-Vcs-Browser: https://github.com/jkbr/httpie.git
 
 Package: httpie
 Architecture: any

## httpie 0.8.0

=== debian/changelog ===
httpie (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * ACK previous NMU - thanks Vincent!
  * Bumped Standards-Version (no changes needed).
  * Obsolete options has been removed from manpage (Closes: #700214).
  * Provides symlink https -> http (Closes: #737642)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 04 Feb 2014 18:05:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: extra
 Maintainer: Bartosz Fenski <fenio@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 0.10.4), python-argparse, python-pkg-resources, python-all
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-pygments, python-requests (>= 2.0.0), python-argparse, python-pkg-resources, python-all, python-tox, python-docutils
+Standards-Version: 3.9.5
 Homepage: http://httpie.org
 
 Package: httpie

=== debian/watch ===
version=3
https://github.com/jkbr/httpie/tags .*/tarball/(\d[\d\.]+)

## httpie 0.9.2

=== debian/changelog ===
httpie (0.9.2-1) unstable; urgency=low

  * ACK previous NMU, thanks a lot Vincent!
  * Bumped required python-requests version (Closes: #802540)

 -- Bartosz Fenski <fenio@debian.org>  Mon, 14 Dec 2015 15:39:37 +0100

httpie (0.9.2-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's authorization.
  * New upstream release. Closes: #785616.
     + This new release supports SNI. Closes: #751568.
     + Remove https symlink. This feature is not supported anymore.
     + Add build dependency to dh-python.
     + Disable tests for now, they need pytest-httpbin.
     + Remove build dependency to tox (unused).
     + Force "pybuild" build system for debhelper (instead of makefile).
     + Update debian/copyright.
  * Switch httpie package to "Architecture: all", as it is pure
    Python. Closes: #750179.
  * Update debian/watch.
  * Bump Standards-Version to 3.9.6.
  * Add https(1) manual page as an alias to http(1).

 -- Vincent Bernat <bernat@debian.org>  Thu, 28 May 2015 20:30:17 +0200

=== debian/control ===
Source: httpie
Section: web
Priority: extra
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-python,
               python-setuptools,
               python-pygments,
               python-requests (>= 2.5.2),
               python-argparse,
               python-pkg-resources,
               python-all,
               python-docutils
Standards-Version: 3.9.6
Homepage: http://httpie.org

Package: httpie
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing 
 arbitrary HTTP requests using a simple and natural syntax and 
 displaying colorized responses.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=3
https://github.com/jkbr/httpie/tags .*/(\d[\d\.]+).tar.gz

## httpie 0.9.8

=== Makefile ===
#
# See ./CONTRIBUTING.rst
#

VERSION=$(shell grep __version__ httpie/__init__.py)
REQUIREMENTS="requirements-dev.txt"
TAG="\n\n\033[0;32m\#\#\# "
END=" \#\#\# \033[0m\n"


all: test


init: uninstall-httpie
	@echo $(TAG)Installing dev requirements$(END)
	pip install --upgrade -r $(REQUIREMENTS)

	@echo $(TAG)Installing HTTPie$(END)
	pip install --upgrade --editable .

	@echo


test: init
	@echo $(TAG)Running tests on the current Python interpreter with coverage $(END)
	py.test --cov ./httpie --cov ./tests --doctest-modules --verbose ./httpie ./tests
	@echo


test-tox: init
	@echo $(TAG)Running tests on all Pythons via Tox$(END)
	tox
	@echo


test-dist: test-sdist test-bdist-wheel
	@echo


test-sdist: clean uninstall-httpie
	@echo $(TAG)Testing sdist build an installation$(END)
	python setup.py sdist
	pip install --force-reinstall --upgrade dist/*.gz
	which http
	@echo


test-bdist-wheel: clean uninstall-httpie
	@echo $(TAG)Testing wheel build an installation$(END)
	python setup.py bdist_wheel
	pip install --force-reinstall --upgrade dist/*.whl
	which http
	@echo


# This tests everything, even this Makefile.
test-all: uninstall-all clean init test test-tox test-dist


publish: test-all publish-no-test

publish-no-test:
	@echo $(TAG)Testing wheel build an installation$(END)
	@echo "$(VERSION)"
	@echo "$(VERSION)" | grep -q "dev" && echo '!!!Not publishing dev version!!!' && exit 1 || echo ok
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_wheel upload
	@echo


clean:
	@echo $(TAG)Cleaning up$(END)
	rm -rf .tox *.egg dist build .coverage
	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
	@echo


uninstall-httpie:
	@echo $(TAG)Uninstalling httpie$(END)
	- pip uninstall --yes httpie &2>/dev/null

	@echo "Verifying…"
	cd .. && ! python -m httpie --version &2>/dev/null

	@echo "Done"
	@echo


uninstall-all: uninstall-httpie

	@echo $(TAG)Uninstalling httpie requirements$(END)
	- pip uninstall --yes pygments requests

	@echo $(TAG)Uninstalling development requirements$(END)
	- pip uninstall --yes -r $(REQUIREMENTS)


homebrew-formula-vars:
	extras/get-homebrew-formula-vars.py

=== debian/changelog ===
httpie (0.9.8-2) unstable; urgency=low

  * Switched to python3 (Closes: #830305, #869221)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 02 May 2017 12:49:27 +0200

httpie (0.9.8-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * New upstream version.
  * Includes updated manpage thanks to Gaetano Guerriero. (Closes: #815881)

 -- Bartosz Fenski <fenio@debian.org>  Fri, 30 Dec 2016 15:39:37 +0100

=== debian/control ===
Source: httpie
Section: web
Priority: extra
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python3-setuptools,
               python3-pygments,
               python3-requests (>= 2.5.2),
               python-argparse,
               python3-pkg-resources,
               python3-all,
               python3-docutils
Standards-Version: 3.9.8
Homepage: http://httpie.org

Package: httpie
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing 
 arbitrary HTTP requests using a simple and natural syntax and 
 displaying colorized responses.

## httpie 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-#
+###############################################################################
 # See ./CONTRIBUTING.rst
-#
+###############################################################################
 
 VERSION=$(shell grep __version__ httpie/__init__.py)
 REQUIREMENTS="requirements-dev.txt"
@@ -20,6 +20,17 @@
 
 	@echo
 
+clean:
+	@echo $(TAG)Cleaning up$(END)
+	rm -rf .tox *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
+	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
+	@echo
+
+
+###############################################################################
+# Testing
+###############################################################################
+
 
 test: init
 	@echo $(TAG)Running tests on the current Python interpreter with coverage $(END)
@@ -27,13 +38,18 @@
 	@echo
 
 
-test-tox: init
-	@echo $(TAG)Running tests on all Pythons via Tox$(END)
-	tox
+# test-all is meant to test everything — even this Makefile
+test-all: uninstall-all clean init test test-tox test-dist pycodestyle
 	@echo
 
 
 test-dist: test-sdist test-bdist-wheel
+	@echo
+
+
+test-tox: init
+	@echo $(TAG)Running tests on all Pythons via Tox$(END)
+	tox
 	@echo
 
 
@@ -53,28 +69,39 @@
 	@echo
 
 
-# This tests everything, even this Makefile.
-test-all: uninstall-all clean init test test-tox test-dist
+pycodestyle:
+	which pycodestyle || pip install pycodestyle
+	pycodestyle
+	@echo
+
+
+coveralls:
+	which coveralls || pip install python-coveralls
+	coveralls
+	@echo
+
+
+###############################################################################
+# Publishing to PyPi
+###############################################################################
 
 
 publish: test-all publish-no-test
+
 
 publish-no-test:
 	@echo $(TAG)Testing wheel build an installation$(END)
 	@echo "$(VERSION)"
 	@echo "$(VERSION)" | grep -q "dev" && echo '!!!Not publishing dev version!!!' && exit 1 || echo ok
-	python setup.py register
-	python setup.py sdist upload
-	python setup.py bdist_wheel upload
+	python setup.py sdist bdist_wheel
+	twine upload dist/*
 	@echo
 
 
-clean:
-	@echo $(TAG)Cleaning up$(END)
-	rm -rf .tox *.egg dist build .coverage
-	find . -name '__pycache__' -delete -print -o -name '*.pyc' -delete -print
-	@echo
 
+###############################################################################
+# Uninstalling
+###############################################################################
 
 uninstall-httpie:
 	@echo $(TAG)Uninstalling httpie$(END)
@@ -96,5 +123,30 @@
 	- pip uninstall --yes -r $(REQUIREMENTS)
 
 
-homebrew-formula-vars:
-	extras/get-homebrew-formula-vars.py
+###############################################################################
+# Docs
+###############################################################################
+
+pdf:
+	# NOTE: rst2pdf needs to be installed manually and against a Python 2
+	@echo "Converting README.rst to PDF…"
+	rst2pdf \
+		--strip-elements-with-class=no-pdf \
+		README.rst \
+		-o README.pdf
+	@echo "Done"
+	@echo
+
+
+###############################################################################
+# Homebrew
+###############################################################################
+
+brew-deps:
+	extras/brew-deps.py
+
+brew-test:
+	- brew uninstall httpie
+	brew install --build-from-source ./extras/httpie.rb
+	brew test httpie
+	brew audit --strict httpie

=== debian/changelog ===
httpie (1.0.3-2) unstable; urgency=medium

  * Source only upload.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 05 Oct 2019 10:54:11 +0200

httpie (1.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #920214)
    - fixes CVE-2019-10751 (Closes: #940058)
  * Bumped Standards-Version.
  * The Akamai Technologies paid volunteer days release.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 30 Sep 2019 08:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: httpie
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
@@ -11,8 +11,8 @@
                python3-pkg-resources,
                python3-all,
                python3-docutils
-Standards-Version: 3.9.8
-Homepage: http://httpie.org
+Standards-Version: 4.4.0
+Homepage: https://httpie.org
 
 Package: httpie
 Architecture: all

## httpie 2.2.0

=== Makefile ===
###############################################################################
# See ./CONTRIBUTING.rst
###############################################################################

ROOT_DIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
VERSION=$(shell grep __version__ httpie/__init__.py)
REQUIREMENTS=requirements-dev.txt
H1="\n\n\033[0;32m\#\#\# "
H1END=" \#\#\# \033[0m\n"


# Only used to create our venv.
SYSTEM_PYTHON=python3

VENV_ROOT=venv
VENV_BIN=$(VENV_ROOT)/bin
VENV_PIP=$(VENV_BIN)/pip3
VENV_PYTHON=$(VENV_BIN)/python


export PATH := $(VENV_BIN):$(PATH)


all: uninstall-httpie install test


install: venv
	@echo $(H1)Installing dev requirements$(H1END)
	$(VENV_PIP) install --upgrade -r $(REQUIREMENTS)

	@echo $(H1)Installing HTTPie$(H1END)
	$(VENV_PIP) install --upgrade --editable .

	@echo

clean:
	@echo $(H1)Cleaning up$(H1END)
	rm -rf $(VENV_ROOT)
	# Remove symlink for virtualenvwrapper, if we’ve created one.
	[ -n "$(WORKON_HOME)" -a -L "$(WORKON_HOME)/httpie" -a -f "$(WORKON_HOME)/httpie" ] && rm $(WORKON_HOME)/httpie || true
	rm -rf .tox *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
	find . -name '__pycache__' -delete -o -name '*.pyc' -delete
	@echo


venv:
	@echo $(H1)Creating a Python environment $(VENV_ROOT) $(H1END)

	$(SYSTEM_PYTHON) -m venv --prompt httpie $(VENV_ROOT)

	@echo
	@echo done.
	@echo
	@echo To active it manually, run:
	@echo
	@echo "    source $(VENV_BIN)/activate"
	@echo
	@echo '(learn more: https://docs.python.org/3/library/venv.html)'
	@echo
	@if [ -n "$(WORKON_HOME)" ]; then \
		echo $(ROOT_DIR) >  $(VENV_ROOT)/.project; \
		if [ ! -d $(WORKON_HOME)/httpie -a ! -L $(WORKON_HOME)/httpie ]; then \
			ln -s $(ROOT_DIR)/$(VENV_ROOT) $(WORKON_HOME)/httpie ; \
			echo ''; \
			echo 'Since you use virtualenvwrapper, we created a symlink'; \
			echo 'so you can also use "workon httpie" to activate the venv.'; \
			echo ''; \
		fi; \
	fi


###############################################################################
# Testing
###############################################################################


test:
	@echo $(H1)Running tests$(HEADER_EXTRA)$(H1END)
	$(VENV_BIN)/py.test $(COV) ./httpie $(COV) ./tests --doctest-modules --verbose ./httpie ./tests
	@echo


test-cover: COV=--cov
test-cover: HEADER_EXTRA=' (with coverage)'
test-cover: test


# test-all is meant to test everything — even this Makefile
test-all: clean install test test-tox test-dist pycodestyle
	@echo


test-dist: test-sdist test-bdist-wheel
	@echo


test-tox: uninstall-httpie install
	@echo $(H1)Running tests on all Pythons via Tox$(H1END)
	$(VENV_BIN)/tox
	@echo


test-sdist: clean venv
	@echo $(H1)Testing sdist build an installation$(H1END)
	$(VENV_PYTHON) setup.py sdist
	$(VENV_PIP) install --force-reinstall --upgrade dist/*.gz
	$(VENV_BIN)/http --version
	@echo


test-bdist-wheel: clean venv
	@echo $(H1)Testing wheel build an installation$(H1END)
	$(VENV_PIP) install wheel
	$(VENV_PYTHON) setup.py bdist_wheel
	$(VENV_PIP) install --force-reinstall --upgrade dist/*.whl
	$(VENV_BIN)/http --version
	@echo


pycodestyle:
	@echo $(H1)Running pycodestyle$(H1END)
	@[ -f $(VENV_BIN)/pycodestyle ] || $(VENV_PIP) install pycodestyle
	$(VENV_BIN)/pycodestyle httpie/ tests/ extras/ *.py
	@echo


codecov-upload:
	@echo $(H1)Running codecov$(H1END)
	@[ -f $(VENV_BIN)/codecov ] || $(VENV_PIP) install codecov
	# $(VENV_BIN)/codecov --required
	$(VENV_BIN)/codecov
	@echo


###############################################################################
# Publishing to PyPi
###############################################################################


publish: test-all publish-no-test


publish-no-test:
	@echo $(H1)Testing wheel build an installation$(H1END)
	@echo "$(VERSION)"
	@echo "$(VERSION)" | grep -q "dev" && echo '!!!Not publishing dev version!!!' && exit 1 || echo ok
	$(VENV_PYTHON) setup.py sdist bdist_wheel
	$(VENV_BIN)/twine upload dist/*
	@echo



###############################################################################
# Uninstalling
###############################################################################

uninstall-httpie:
	@echo $(H1)Uninstalling httpie$(H1END)
	- $(VENV_PIP) uninstall --yes httpie &2>/dev/null

	@echo "Verifying…"
	cd .. && ! $(VENV_PYTHON) -m httpie --version &2>/dev/null

	@echo "Done"
	@echo


###############################################################################
# Docs
###############################################################################

pdf:
	# NOTE: rst2pdf needs to be installed manually and against a Python 2
	@echo "Converting README.rst to PDF…"
	rst2pdf \
		--strip-elements-with-class=no-pdf \
		README.rst \
		-o README.pdf
	@echo "Done"
	@echo


###############################################################################
# Homebrew
###############################################################################

brew-deps:
	extras/brew-deps.py

brew-test:
	- brew uninstall httpie
	brew install --build-from-source ./extras/httpie.rb
	brew test httpie
	brew audit --strict httpie

=== debian/changelog ===
httpie (2.2.0-2) unstable; urgency=medium

  * Source only upload.

 -- Bartosz Fenski <fenio@debian.org>  Sun, 12 Jul 2020 16:58:08 +0200

httpie (2.2.0-1) unstable; urgency=medium

  * The Akamai Technologies paid volunteer days release.
  * New upstream release (Closes: #950719)
  * Bumped Standards-Version.
  * Bumped DH compatibility level.
  * No longer depends on python2 (Closes: #943128)

 -- Bartosz Fenski <fenio@debian.org>  Thu, 09 Jul 2020 10:52:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: web
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 13.0.0),
                dh-python,
                python3-setuptools,
                python3-pygments,
                python3-requests (>= 2.5.2),
-               python-argparse,
                python3-pkg-resources,
                python3-all,
                python3-docutils
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://httpie.org
 
 Package: httpie

## httpie 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 ###############################################################################
 # See ./CONTRIBUTING.rst
 ###############################################################################
+
+.PHONY: build
 
 ROOT_DIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 VERSION=$(shell grep __version__ httpie/__init__.py)
@@ -38,7 +40,7 @@
 	rm -rf $(VENV_ROOT)
 	# Remove symlink for virtualenvwrapper, if we’ve created one.
 	[ -n "$(WORKON_HOME)" -a -L "$(WORKON_HOME)/httpie" -a -f "$(WORKON_HOME)/httpie" ] && rm $(WORKON_HOME)/httpie || true
-	rm -rf .tox *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
+	rm -rf *.egg dist build .coverage .cache .pytest_cache httpie.egg-info
 	find . -name '__pycache__' -delete -o -name '*.pyc' -delete
 	@echo
 
@@ -86,17 +88,11 @@
 
 
 # test-all is meant to test everything — even this Makefile
-test-all: clean install test test-tox test-dist pycodestyle
+test-all: clean install test test-dist pycodestyle
 	@echo
 
 
 test-dist: test-sdist test-bdist-wheel
-	@echo
-
-
-test-tox: uninstall-httpie install
-	@echo $(H1)Running tests on all Pythons via Tox$(H1END)
-	$(VENV_BIN)/tox
 	@echo
 
 
@@ -116,6 +112,9 @@
 	$(VENV_BIN)/http --version
 	@echo
 
+
+twine-check:
+	twine check dist/*
 
 pycodestyle:
 	@echo $(H1)Running pycodestyle$(H1END)
@@ -137,6 +136,11 @@
 ###############################################################################
 
 
+build:
+	rm -rf build/
+	$(VENV_PYTHON) setup.py sdist bdist_wheel
+
+
 publish: test-all publish-no-test
 
 
@@ -144,8 +148,9 @@
 	@echo $(H1)Testing wheel build an installation$(H1END)
 	@echo "$(VERSION)"
 	@echo "$(VERSION)" | grep -q "dev" && echo '!!!Not publishing dev version!!!' && exit 1 || echo ok
-	$(VENV_PYTHON) setup.py sdist bdist_wheel
-	$(VENV_BIN)/twine upload dist/*
+	make build
+	make twine-check
+	$(VENV_BIN)/twine upload --repository=httpie dist/*
 	@echo
 
 
@@ -170,7 +175,6 @@
 ###############################################################################
 
 pdf:
-	# NOTE: rst2pdf needs to be installed manually and against a Python 2
 	@echo "Converting README.rst to PDF…"
 	rst2pdf \
 		--strip-elements-with-class=no-pdf \

=== debian/changelog ===
httpie (2.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 17 Jun 2021 09:21:02 +0200

=== debian/watch ===
version=4
https://github.com/jkbr/httpie/tags .*/(\d[\d\.]+).tar.gz

## httpie 2.6.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 ###############################################################################
-# See ./CONTRIBUTING.rst
+# See ./CONTRIBUTING.md
 ###############################################################################
 
 .PHONY: build
 
 ROOT_DIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 VERSION=$(shell grep __version__ httpie/__init__.py)
-REQUIREMENTS=requirements-dev.txt
 H1="\n\n\033[0;32m\#\#\# "
 H1END=" \#\#\# \033[0m\n"
 
@@ -26,14 +25,21 @@
 all: uninstall-httpie install test
 
 
-install: venv
+install: venv install-reqs
+
+
+install-reqs:
+	@echo $(H1)Updating package tools$(H1END)
+	$(VENV_PIP) install --upgrade pip wheel
+
 	@echo $(H1)Installing dev requirements$(H1END)
-	$(VENV_PIP) install --upgrade -r $(REQUIREMENTS)
+	$(VENV_PIP) install --upgrade --editable '.[dev]'
 
 	@echo $(H1)Installing HTTPie$(H1END)
 	$(VENV_PIP) install --upgrade --editable .
 
 	@echo
+
 
 clean:
 	@echo $(H1)Cleaning up$(H1END)
@@ -78,17 +84,17 @@
 
 test:
 	@echo $(H1)Running tests$(HEADER_EXTRA)$(H1END)
-	$(VENV_BIN)/py.test $(COV) ./httpie $(COV) ./tests --doctest-modules --verbose ./httpie ./tests
-	@echo
-
-
-test-cover: COV=--cov
+	$(VENV_BIN)/python -m pytest $(COV)
+	@echo
+
+
+test-cover: COV=--cov=httpie --cov=tests
 test-cover: HEADER_EXTRA=' (with coverage)'
 test-cover: test
 
 
 # test-all is meant to test everything — even this Makefile
-test-all: clean install test test-dist pycodestyle
+test-all: clean install test test-dist codestyle
 	@echo
 
 
@@ -116,10 +122,15 @@
 twine-check:
 	twine check dist/*
 
-pycodestyle:
-	@echo $(H1)Running pycodestyle$(H1END)
-	@[ -f $(VENV_BIN)/pycodestyle ] || $(VENV_PIP) install pycodestyle
-	$(VENV_BIN)/pycodestyle httpie/ tests/ extras/ *.py
+
+# Kept for convenience, "make codestyle" is preferred though
+pycodestyle: codestyle
+
+
+codestyle:
+	@echo $(H1)Running flake8$(H1END)
+	@[ -f $(VENV_BIN)/flake8 ] || $(VENV_PIP) install --upgrade --editable '.[dev]'
+	$(VENV_BIN)/flake8 httpie/ tests/ docs/packaging/brew/ *.py
 	@echo
 
 
@@ -129,6 +140,16 @@
 	# $(VENV_BIN)/codecov --required
 	$(VENV_BIN)/codecov
 	@echo
+
+
+doc-check:
+	@echo $(H1)Running documentations checks$(H1END)
+	mdl --git-recurse --style docs/markdownlint.rb .
+
+
+doc-update-install:
+	@echo $(H1)Updating installation instructions in the docs$(H1END)
+	$(VENV_PYTHON) docs/installation/generate.py
 
 
 ###############################################################################
@@ -171,28 +192,21 @@
 
 
 ###############################################################################
-# Docs
-###############################################################################
-
-pdf:
-	@echo "Converting README.rst to PDF…"
-	rst2pdf \
-		--strip-elements-with-class=no-pdf \
-		README.rst \
-		-o README.pdf
-	@echo "Done"
-	@echo
-
-
-###############################################################################
 # Homebrew
 ###############################################################################
 
 brew-deps:
-	extras/brew-deps.py
+	docs/packaging/brew/brew-deps.py
 
 brew-test:
+	@echo $(H1)Uninstalling httpie$(H1END)
 	- brew uninstall httpie
-	brew install --build-from-source ./extras/httpie.rb
+
+	@echo $(H1)Building from source…$(H1END)
+	- brew install --build-from-source ./docs/packaging/brew/httpie.rb
+
+	@echo $(H1)Verifying…$(H1END)
 	brew test httpie
+
+	@echo $(H1)Auditing…$(H1END)
 	brew audit --strict httpie

=== debian/changelog ===
httpie (2.6.0-1) unstable; urgency=medium

  * The Akamai Technologies paid volunteer days release.
  * New upstream version. (Closes: #993937, #996479)
    - various minor packaging updates due to upstream changes

 -- Bartosz Fenski <fenio@debian.org>  Tue, 28 Dec 2021 10:51:48 +0100

## httpie 3.2.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 install-reqs:
 	@echo $(H1)Updating package tools$(H1END)
-	$(VENV_PIP) install --upgrade pip wheel
+	$(VENV_PIP) install --upgrade pip wheel build
 
 	@echo $(H1)Installing dev requirements$(H1END)
 	$(VENV_PIP) install --upgrade --editable '.[dev]'
@@ -130,7 +130,7 @@
 codestyle:
 	@echo $(H1)Running flake8$(H1END)
 	@[ -f $(VENV_BIN)/flake8 ] || $(VENV_PIP) install --upgrade --editable '.[dev]'
-	$(VENV_BIN)/flake8 httpie/ tests/ docs/packaging/brew/ *.py
+	$(VENV_BIN)/flake8 httpie/ tests/ extras/profiling/ docs/packaging/brew/ *.py
 	@echo
 
 
@@ -147,19 +147,17 @@
 	mdl --git-recurse --style docs/markdownlint.rb .
 
 
-doc-update-install:
-	@echo $(H1)Updating installation instructions in the docs$(H1END)
-	$(VENV_PYTHON) docs/installation/generate.py
-
-
 ###############################################################################
 # Publishing to PyPi
 ###############################################################################
 
 
 build:
-	rm -rf build/
-	$(VENV_PYTHON) setup.py sdist bdist_wheel
+	rm -rf build/ dist/
+	mv httpie/internal/__build_channel__.py httpie/internal/__build_channel__.py.original
+	echo 'BUILD_CHANNEL = "pip"' > httpie/internal/__build_channel__.py
+	$(VENV_PYTHON) -m build --sdist --wheel --outdir dist/
+	mv httpie/internal/__build_channel__.py.original httpie/internal/__build_channel__.py
 
 
 publish: test-all publish-no-test
@@ -203,10 +201,25 @@
 	- brew uninstall httpie
 
 	@echo $(H1)Building from source…$(H1END)
-	- brew install --build-from-source ./docs/packaging/brew/httpie.rb
+	- brew install --HEAD --build-from-source ./docs/packaging/brew/httpie.rb
 
 	@echo $(H1)Verifying…$(H1END)
-	brew test httpie
+	http --version
+	https --version
 
 	@echo $(H1)Auditing…$(H1END)
 	brew audit --strict httpie
+
+###############################################################################
+# Regeneration
+###############################################################################
+
+regen-all: regen-man-pages regen-install-methods
+
+regen-man-pages: install
+	@echo $(H1)Regenerate man pages$(H1END)
+	$(VENV_PYTHON) extras/scripts/generate_man_pages.py
+
+regen-install-methods:
+	@echo $(H1)Updating installation instructions in the docs$(H1END)
+	$(VENV_PYTHON) docs/installation/generate.py

=== debian/changelog ===
httpie (3.2.1-1) unstable; urgency=medium

  * New upstream version (Closes: #1006651) 
    - fixes two exposure of sensitive information vulnerabilities:
      CVE-2022-0430 (Closes: #1014765)
      CVE-2022-24737 (Closes: #1008011)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 19 Jul 2022 12:06:14 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                python3-pygments,
                python3-requests (>= 2.5.2),
                python3-pkg-resources,
-               python3-all,
-               python3-docutils
+               python3-charset-normalizer,
+               python3-all
 Standards-Version: 4.5.0
-Homepage: https://httpie.org
+Homepage: https://httpie.io
 
 Package: httpie
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-defusedxml, python3-requests-toolbelt, python3-socks
 Description: CLI, cURL-like tool for humans
  HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based 
  services as human-friendly as possible.

## httpie 3.2.2

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,26 @@
 export PATH := $(VENV_BIN):$(PATH)
 
 
+
+default: list-tasks
+
+
+###############################################################################
+# Default task to get a list of tasks when `make' is run without args.
+# <https://stackoverflow.com/questions/4219255>
+###############################################################################
+
+list-tasks:
+	@echo Available tasks:
+	@echo ----------------
+	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | grep -E -v -e '^[^[:alnum:]]' -e '^$@$$'
+	@echo
+
+
+###############################################################################
+# Installation
+###############################################################################
+
 all: uninstall-httpie install test
 
 
@@ -33,7 +53,7 @@
 	$(VENV_PIP) install --upgrade pip wheel build
 
 	@echo $(H1)Installing dev requirements$(H1END)
-	$(VENV_PIP) install --upgrade --editable '.[dev]'
+	$(VENV_PIP) install --upgrade '.[dev]' '.[test]'
 
 	@echo $(H1)Installing HTTPie$(H1END)
 	$(VENV_PIP) install --upgrade --editable .

=== debian/changelog ===
httpie (3.2.2-1) unstable; urgency=medium

  * The Akamai Technologies paid volunteer days release.
  * New upstream version. 

 -- Bartosz Fenski <fenio@debian.org>  Tue, 19 Dec 2023 15:17:23 +0100

httpie (3.2.1-2) unstable; urgency=high

  * d/control:
    - Add Bartosz Fenski as principal uploader.
    - Add Arthur Diniz as secondary uploader.
    - Change maintainer to Debian Python Team.
    - Bump Standards-Version to 4.6.2.
    - Declare Vcs-* fields under python salsa group.
    - Declare Rules-Requires-Root to no.
    - Replace debhelper with debhelper-compat.
    - Removed trailing whitespaces.
  * d/copyright:
    - Add Arthur Diniz.
    - Update format URL.
  * d/changelog: Removed trailing whitespaces.
  * d/compat: Removed.
  * d/patches: Patch to disable update checks. (Closes: #1041792)
  * d/upstream/metadata: Created.
  * d/gbp.conf: Created.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 05 Oct 2023 19:09:08 +0100

=== debian/control ===
Source: httpie
Section: web
Priority: optional
Uploaders: Bartosz Fenski <fenio@debian.org>,
           Arthur Diniz <arthurbdiniz@gmail.com>
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-pygments,
               python3-requests (>= 2.5.2),
               python3-pkg-resources,
               python3-charset-normalizer,
               python3-all
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/httpie
Vcs-Git: https://salsa.debian.org/python-team/packages/httpie.git
Homepage: https://httpie.io

Package: httpie
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-defusedxml, python3-requests-toolbelt, python3-socks
Description: CLI, cURL-like tool for humans
 HTTPie is a CLI HTTP utility that makes CLI interaction with HTTP-based
 services as human-friendly as possible.
 .
 HTTPie does so by providing an http command that allows for issuing
 arbitrary HTTP requests using a simple and natural syntax and
 displaying colorized responses.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## httpie 3.2.4

=== Makefile ===
--- 
+++ 
@@ -124,7 +124,8 @@
 
 test-sdist: clean venv
 	@echo $(H1)Testing sdist build an installation$(H1END)
-	$(VENV_PYTHON) setup.py sdist
+	$(VENV_PIP) install build
+	$(VENV_PYTHON) -m build --sdist
 	$(VENV_PIP) install --force-reinstall --upgrade dist/*.gz
 	$(VENV_BIN)/http --version
 	@echo
@@ -132,8 +133,8 @@
 
 test-bdist-wheel: clean venv
 	@echo $(H1)Testing wheel build an installation$(H1END)
-	$(VENV_PIP) install wheel
-	$(VENV_PYTHON) setup.py bdist_wheel
+	$(VENV_PIP) install build
+	$(VENV_PYTHON) -m build --wheel
 	$(VENV_PIP) install --force-reinstall --upgrade dist/*.whl
 	$(VENV_BIN)/http --version
 	@echo
@@ -231,15 +232,15 @@
 	brew audit --strict httpie
 
 ###############################################################################
-# Regeneration
-###############################################################################
-
-regen-all: regen-man-pages regen-install-methods
-
-regen-man-pages: install
+# Generated content
+###############################################################################
+
+content: man installation-docs
+
+man: install
 	@echo $(H1)Regenerate man pages$(H1END)
 	$(VENV_PYTHON) extras/scripts/generate_man_pages.py
 
-regen-install-methods:
+installation-docs:
 	@echo $(H1)Updating installation instructions in the docs$(H1END)
 	$(VENV_PYTHON) docs/installation/generate.py

=== debian/changelog ===
httpie (3.2.4-3) unstable; urgency=medium

  * Team upload.
  * Also add a patch to not generate a runtime python3-pkg-resources depency.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 12:11:01 +0100

httpie (3.2.4-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-pkg-resources build-depency (Closes: #1083432)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 11:25:00 +0100

httpie (3.2.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #1081422)
  * d/changelog: Remove trailing-whitespace
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/copyright: Update debian copyright Arthur Diniz author years to 2024
  * d/p/0001-Disable-update-checks.patch: Refresh

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sat, 14 Dec 2024 18:32:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
            Arthur Diniz <arthurbdiniz@gmail.com>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-pygments,
                python3-requests (>= 2.5.2),
-               python3-pkg-resources,
                python3-charset-normalizer,
                python3-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpie
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpie.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/httpie/httpie/tags .*/(\d[\d\.]+).tar.gz

## httpie edgegrid-2.2.2

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile
#
certifi==2025.7.14
    # via requests
charset-normalizer==3.4.2
    # via
    #   httpie
    #   requests
defusedxml==0.7.1
    # via httpie
edgegrid-python==2.0.2
    # via httpie-edgegrid (setup.py)
httpie==3.2.4
    # via httpie-edgegrid (setup.py)
idna==3.10
    # via requests
markdown-it-py==3.0.0
    # via rich
mdurl==0.1.2
    # via markdown-it-py
multidict==6.4.3
    # via httpie
pygments==2.19.1
    # via
    #   httpie
    #   rich
pysocks==1.7.1
    # via requests
requests[socks]==2.32.3
    # via
    #   edgegrid-python
    #   httpie
    #   requests-toolbelt
requests-toolbelt==1.0.0
    # via
    #   edgegrid-python
    #   httpie
rich==14.0.0
    # via httpie
urllib3==2.5.0
    # via requests

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
